Package com.collibra.dgc.core.api.dto.role

# Class FindRolesRequest.Builder

Object
Builder

Enclosing class:
  `FindRolesRequest`

public static class FindRolesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindRolesRequest`
  `build()`
  `FindRolesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindRolesRequest.Builder`
  `description(String description)`
  `FindRolesRequest.Builder`
  `global(Boolean global)`
  `FindRolesRequest.Builder`
  `includeDisabled(boolean includeDisabled)`
  `FindRolesRequest.Builder`
  `limit(int limit)`
  `FindRolesRequest.Builder`
  `name(String name)`
  `FindRolesRequest.Builder`
  `nameMatchMode(MatchMode nameMatchMode)`
  `FindRolesRequest.Builder`
  `offset(int offset)`
  `FindRolesRequest.Builder`
  `ownerId(UUID ownerId)`
  `FindRolesRequest.Builder`
  `roleInheritanceMode(FindRolesRequest.RoleInheritanceMode roleInheritanceMode)`
  `FindRolesRequest.Builder`
  `sortField(RoleRequestSortField sortField)`
  `FindRolesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindRolesRequest.Builder`
  `systemName(String systemName)`
  `String`
  `toString()`
  `FindRolesRequest.Builder`
  `type(FindRolesRequest.TypeMatchMode type)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindRolesRequest.Builder offset(int offset)

  - ### limit

    public FindRolesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindRolesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindRolesRequest.builder()`
    Clone method for this Builder.

  - ### name

    public FindRolesRequest.Builder name(String name)
    Returns:
      `this`.

  - ### nameMatchMode

    public FindRolesRequest.Builder nameMatchMode(MatchMode nameMatchMode)
    Returns:
      `this`.

  - ### description

    public FindRolesRequest.Builder description(String description)
    Returns:
      `this`.

  - ### global

    public FindRolesRequest.Builder global(Boolean global)
    Returns:
      `this`.

  - ### type

    public FindRolesRequest.Builder type(FindRolesRequest.TypeMatchMode type)
    Returns:
      `this`.

  - ### ownerId

    public FindRolesRequest.Builder ownerId(UUID ownerId)
    Returns:
      `this`.

  - ### roleInheritanceMode

    public FindRolesRequest.Builder roleInheritanceMode(FindRolesRequest.RoleInheritanceMode roleInheritanceMode)
    Returns:
      `this`.

  - ### sortField

    public FindRolesRequest.Builder sortField(RoleRequestSortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindRolesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### includeDisabled

    public FindRolesRequest.Builder includeDisabled(boolean includeDisabled)
    Returns:
      `this`.

  - ### systemName

    public FindRolesRequest.Builder systemName(String systemName)
    Returns:
      `this`.

  - ### build

    public FindRolesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`